Package org.apache.struts2.config

# Interface ContainerProvider

All Known Subinterfaces:
  `BeanSelectionProvider`, `ConfigurationProvider`, `ServletContextAwareConfigurationProvider`

All Known Implementing Classes:
  `AbstractBeanSelectionProvider`, `DefaultPropertiesProvider`, `FileManagerFactoryProvider`, `FileManagerProvider`, `PropertiesConfigurationProvider`, `StrutsBeanSelectionProvider`, `StrutsDefaultConfigurationProvider`, `StrutsJavaConfigurationProvider`, `StrutsXmlConfigurationProvider`, `StubConfigurationProvider`, `XmlConfigurationProvider`, `XmlDocConfigurationProvider`

public interface ContainerProvider
Provides beans and constants/properties for the Container

Since:
  2.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Called before removed from the configuration manager
  `void`
  `init(Configuration configuration)`
  Initializes with the configuration
  `boolean`
  `needsReload()`
  Tells whether the ContainerProvider should reload its configuration
  `void`
  `register(ContainerBuilder builder, LocatableProperties props)`
  Registers beans and properties for the Container

- ## Method Details

  - ### destroy

    void destroy()
    Called before removed from the configuration manager

  - ### init

    void init(Configuration configuration) throws ConfigurationException
    Initializes with the configuration
    Parameters:
      `configuration` - The configuration
    Throws:
      `ConfigurationException` - If anything goes wrong

  - ### needsReload

    boolean needsReload()
    Tells whether the ContainerProvider should reload its configuration
    Returns:
      `true`, whether the ContainerProvider should reload its configuration, `false`otherwise.

  - ### register

    void register(ContainerBuilder builder, LocatableProperties props) throws ConfigurationException
    Registers beans and properties for the Container
    Parameters:
      `builder` - The builder to register beans with
      `props` - The properties to register constants with
    Throws:
      `ConfigurationException` - If anything goes wrong